# CHIME

The **C**OVID-19 **H**ospital **I**mpact **M**odel for **E**pidemics ([penn-chime.phl.io](http://penn-chime.phl.io/))

[![CHIME](https://user-images.githubusercontent.com/1069047/76693244-5e07e980-6638-11ea-9e02-1c265c86fd2b.gif)](http://predictivehealthcare.pennmedicine.org/chime)

## Background
The [CHIME](https://penn-chime.phl.io/) (COVID-19 Hospital Impact Model for Epidemics) Application is designed to assist hospitals and public health officials with understanding hospital capacity needs as they relate to the COVID pandemic. CHIME enables capacity planning by providing estimates of total daily (i.e. new) and running totals of (i.e. census) inpatient hospitalizations, ICU admissions, and patients requiring ventilation. These estimates are generated using a [SIR (Susceptible, Infected, Recovered)](https://mathworld.wolfram.com/SIRModel.html) model, a standard epidemiological modeling technique. Our model has been validated by several epidemiologists including [Michael Z. Levy, PhD](https://www.dbei.med.upenn.edu/bio/michael-z-levy-phd), Associate Professor of Epidemiology, Department of Biostatistics, Epidemiology and Informatics at the Perelman School of Medicine.

Originally developed in `github.com/pennsignals/chime`, active development is now at `github.com/CodeForPhilly/chime`.

### Documentation

- [User Documentation](https://code-for-philly.gitbook.io/chime/)
- [Developer Documentation](https://codeforphilly.github.io/chime/)

## Contributing

- [Contributing: Overview](https://codeforphilly.github.io/chime/CONTRIBUTING.html)

Join our [Code For Philly](https://codeforphilly.org/projects/chime) project or our [Slack workspace](https://codeforphilly.org/chat) in the [#covid19-chime-penn](https://codeforphilly.org/chat/covid19-chime-penn) channel if you'd like to chat with us. We'd appreciate your [feedback](http://predictivehealthcare.pennmedicine.org/contact/).

## Thanks

- Created by [Predictive Healthcare @ Penn Medicine](http://predictivehealthcare.pennmedicine.org/)
- Project management provided by [Code for Philly](https://codeforphilly.org/)
- Production hosting provided by [Linode Kubernetes Engine](https://www.linode.com/products/kubernetes/)
